API DocumentationManufacturer customer controller

Create a new customer

Creates a new customer record

POST
/api/manufacturer/v1/customer
AuthorizationBearer <token>

In: header

firstName?string
lastName?string
email?string
phoneNumber?string
language?string
Value in"EN" | "DE" | "EL" | "FR" | "NL" | "SL" | "DA" | "TR" | "PL" | "ES" | "BG" | "IT" | "UK" | "RU"
notificationPreferencestring
Value in"EMAIL" | "SMS" | "WHATSAPP"
affiliate?string
organisationName?string
gstNumber?string
taxExempt?boolean

Response Body

curl -X POST "http://m-api-dev.phas.io/api/manufacturer/v1/customer" \  -H "Content-Type: application/json" \  -d '{    "notificationPreference": "EMAIL"  }'
{
  "email": "string",
  "customerId": 0,
  "organisationId": 0,
  "organisationName": "string",
  "isApproved": true,
  "firstName": "string",
  "lastName": "string",
  "phoneNumber": "string",
  "notificationPreference": "string",
  "discountId": 0,
  "discountPercentage": 0
}
Empty
Empty

Last updated on